Installazione delle estensioni PHP su Linux

Dammi prego con me; Sono uno sviluppatore, non un amministratore del server. La mia azienda vuole esplorare utilizzando Magento. Mi hanno consegnato un server Linux preconfigurato con apache e PHP installati, ma quando provo a eseguire l'installazione di Magento, mi dice che ci sono estensioni PHP che devono essere caricate. Posso modificare il file php.ini, ma non ho idea di where get le estensioni o come installarle, e qui non c'è nessuno che lo sa.

Qualcuno mi può dare una mano? Ho bisogno delle estensioni PDO_MySQL, mcrypt e GD. Ho cercato e trovato i siti che parlano di scaricare dal terminal e di compilare il codice, ma è tutto sulla mia testa. C'è un modo semplice per farlo?

  • Raccomandazione del server per uno script semplice
  • Come faccio a lavorare con PHP 5.3 su Red Hat Enterprise Linux, con PDO abilitato? PHP53 è stato installato con yum
  • cron lavoro che invia messaggi di posta elettronica in un frammento errato
  • Come installare mcrypt per PHP 5.3.3 su CentOS 5.7 64 bit?
  • Intestazioni di errore: ap_headers_output_filter () dopo aver messo l'intestazione della cache nel file htaccess
  • L'agente utente Java / 1.4.1_04 si scontra (404) con alcuni jQuery / Javascript
  • PHP / mail sta inviando messaggi di posta elettronica a un server di posta errato
  • Monitoraggio della networking PHP
  • 4 Solutions collect form web for “Installazione delle estensioni PHP su Linux”

    Guarda http://pear.php.net/

    Spesso il sistema Linux ha l'applicazione della pera nel repository, per cui è sufficiente eseguire un command per each estensione che si desidera installare.

    Può aiutare a sapere cosa distro stai eseguendo e quale versione di php. Sto parlando del process di individuazione dei pacchetti, dal momento che è meglio sapere come trovare cose che non solo installare quello che ti viene detto. Insegna un uomo a pescare e tutto questo.

    Ora, ho ubuntu e centos boxen a portta di mano, e attraverso la magia del command di ricerca di pacchetti ….

    Per Ubuntu

    Ho usato la parola chiave apt-cache search KEYWORD php per trovare i pacchetti in questione – in questo caso il nome del plugin come parole chiave. Da questo, è ansible installare i 3 pacchetti necessari tramite apt-get install php5-mcrypt php5-gd php5-mysql – l'ultimo pacchetto dovrebbe coprire il PDO in distanze debian come credo

    Per Centos / Red Hat

    Ho usato dnf search KEYWORDS nello stesso modo – ma non tutti i pacchetti necessari sembrano disponibili per impostazione predefinita. Le versioni più vecchie di queste distribuzioni utilizzano yum piuttosto che centos.

    I pacchetti che ti interessa sono php-pdo php-gd e php-mcrypt – l'ultimo non è nel repository predefinito (ho controllato su yum, poi googled) – potrebbe essere necessario aggiungere il repository EPEL per get quel pacchetto

    L'utilizzo del gestore di pacchetti predefinito dovrebbe rendere più facile l'installazione e la gestione dei pacchetti, poiché i tuoi aggiornamenti verranno eseguiti con tutto il resto.

    Puoi visualizzare http://www.directadmin.com/forum/showthread.php?t=24448 . Questo ha tutti i comandi necessari e problemi di ripresa.

    Per aggiornare l'estensione PHP in Linux:

    Passaggio 1: Accesso come root

    step2: type -> Yum installa php-xml

    step3: servizio httpd restart // riavviare il servizio

    Suggerimenti per Linux e Windows Server, quali Ubuntu, Centos, Apache, Nginx, Debian e argomenti di rete.